Skip to content

Update a customer

PATCH
/api/v1/customers/{id}
curl --request PATCH \
--url https://example.com/api/v1/customers/example \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "email": "new@example.com", "name": "Jane Doe", "phone": "+15555555555" }'
id
required
string
Media typeapplication/json
object
email
string format: email

Example

new@example.com
name
string

Example

Jane Doe
phone
string

Example

+15555555555
Media typeapplication/json
object
id
required
string
stripeCustomerId
required
string
email
required
string
name
required
string
nullable
phone
required
string
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Example generated

{
"id": "example",
"stripeCustomerId": "example",
"email": "example",
"name": "example",
"phone": "example",
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}